Subject: Re: subprocess i/o interaction with shell (bash&cmd): shells compete for input with user program!
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: 22 Jul 2003 16:41:18 -0400

> * In message <[email-masked]>
> * On the subject of "Re: subprocess i/o interaction with shell (bash&cmd): shells compete for input with user program!"
> * Sent on Tue, 22 Jul 2003 13:23:16 -0400
> * Honorable Christopher Faylor <[email-masked]> writes:
>
> On Tue, Jul 22, 2003 at 12:23:18PM -0400, Sam Steingold wrote:
> >> Under cygwin you'd accomplish this by having the parent process use
> >> one of the "exec" calls.
> >
> >nope.  doesn't work either.
> >I get the same "input competition" when I use exec().
> 
> If you are using fork/exec, then sure, you'll get that.

I am not using fork().
just plain exec().

> If you use just exec, then cygwin should do the right thing.

it does not.
I use the simple
        execl("runtime.exe",NULL);
and I get the "input competition".

-- 
Sam Steingold (http://www.podval.org/~sds) running w2k
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.palestine-central.com/links.html>
Lisp is a language for doing what you've been told is impossible. - Kent Pitman

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/